# System configurations for Hyprland. For home configs, see ./home-manager/hyprland
{ pkgs, ... }:

{
  environment.systemPackages = with pkgs; [
    xdg-desktop-portal-hyprland
    hyprpolkitagent # Auth deamon providing modals for password auth
    hyprshot # Screenshots
    unstable.hyprsysteminfo
    unstable.hyprland-qtutils
    unstable.hyprland-qt-support
  ];

  programs = {
    hyprland = {
      enable = true;
      xwayland.enable = true;
      withUWSM = true;
    };
    hyprlock.enable = true; # Lock screen
  };

  services.hypridle.enable = true; # Lock when unused
}
